Add floating label to read only textbox in EJ2 JavaScript Textbox control

15 May 20235 minutes to read

You can achieve floating label for read-only textboxes by adding/removing e-label-top and e-label-bottom classes to the label element

In this sample, click the update value button to fill the read-only textbox with value and float a label.

ej.base.enableRipple(true);

var readonlyTextBox = new ej.inputs.TextBox({
    placeholder: 'Input with warning',
    readonly: true,
  });
  readonlyTextBox.appendTo('#readonly');
  document
    .getElementById('setValueButton')
    .addEventListener('click', function () {
      readonlyTextBox.value = '10';
    });
  
  document
    .getElementById('clearValueButton')
    .addEventListener('click', function () {
      readonlyTextBox.value = ''; // Clear the value
    });
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 TextBox</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 TextBox Components" />
    <meta name="author" content="Syncfusion" />
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-inputs/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-buttons/styles/material.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>
<body>
    <div id='loader'>Loading....</div>
    <div id='container' class="text_value">
        <div id="input-container"></div>



        <div class="row">
            <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                <div>
                    <input id="readonly" type="text" />
                    
                  </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-10 col-sm-10 col-lg-10 col-md-10">
                <button class="e-btn" id="setValueButton">Set Value</button>
                <button class="e-btn" id="clearValueButton">Clear Value</button>
            </div>
        </div>




    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
    visibility: hidden;
  }
  
  #loader {
    color: #008cff;
    font-family: 'Helvetica Neue','calibiri';
    font-size: 14px;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
  }
  
.update_value, .remove_value {
    margin-top: 20px;
}

.remove_value {
    margin-left: 10px;
}

.text_value {
    visibility: visible;
    box-sizing: border-box;
    margin: 0 auto;
    padding: 20px 10px;
    width: 260px;
}

Add floating label to read only TextBox in Angular TextBox component

26 Oct 20242 minutes to read

You can achieve floating label for read-only textboxes by using FloatLabelType property.

In this sample, click the update value button to fill the read-only TextBox with value and float a label.

import { ViewChild } from '@angular/core';
import { Component, AfterViewInit } from '@angular/core';
import { TextBoxComponent, TextBoxModule } from '@syncfusion/ej2-angular-inputs';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'app-root',
  template: `<div class="wrap">
              <div class="row">
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                  <ejs-textbox #textbox readOnly="true" placeholder="Enter value" floatLabelType="Auto"></ejs-textbox>
              </div>
              <div class="row">
                <div class="col-xs-10 col-sm-10 col-lg-10 col-md-10">
                    <button ejs-button class="e-btn update_value" id='valuebtn'>Set value</button>
                    <button ejs-button class="e-btn remove_value" id='removebtn'>Remove value</button>
                  </div>
              </div>
            </div>`,
  standalone: true,
  imports: [ CommonModule, TextBoxModule]
})

export class AppComponent implements AfterViewInit {
  @ViewChild('textbox')
  public textboxObj!: TextBoxComponent;

  ngAfterViewInit(): void {
    (document.getElementById('valuebtn') as HTMLElement).onclick = () => {
      this.textboxObj.value = '10';
    };
    
    (document.getElementById('removebtn') as HTMLElement).onclick = () => {
      this.textboxObj.value = '';
    };
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Add floating label to read only textbox in React Textbox component

30 Jan 20237 minutes to read

You can achieve floating label for read-only textboxes by adding/removing e-label-top and e-label-bottom classes to the label element

In this sample, click the update value button to fill the read-only textbox with value and float a label.

import * as React from "react";
import * as ReactDOM from "react-dom";
export default class Default extends React.Component {
    valueBtn;
    removeBtn;
    inputElement;
    render() {
        return (<div className="wrap">
        <div className="row">
            <div className="e-float-input">
                <input className="e-input myField" onFocus={this.floatFocus} onBlur={this.floatBlur} ref={v => this.inputElement = v} type="text" id="myText" readOnly={true}/>
                <span className="e-float-line"/>
                <label className="e-float-text">Enter value</label>
            </div>
        </div>
        <div className="row">
            <button className="e-btn update_value" id="valuebtn" onClick={this.updateBtnClick} ref={btn => this.valueBtn = btn}>Set value</button>
            <button className="e-btn remove_value" id="removebtn" onClick={this.removeBtnClick} ref={removeBtn => this.removeBtn = removeBtn}>Remove value</button>
        </div>
    </div>);
    }
    updateBtnClick = () => {
        this.inputElement.value = '10';
        this.checkFloatingLabel('myText');
    };
    removeBtnClick = () => {
        this.inputElement.value = '';
        this.checkFloatingLabel('myText');
    };
    checkFloatingLabel(id) {
        const inputElement = document.getElementById(id);
        const labelElement = inputElement.parentElement.querySelector('.e-float-text');
        if (inputElement.value !== '') {
            labelElement.classList.remove('e-label-bottom');
            labelElement.classList.add('e-label-top');
        }
        else {
            labelElement.classList.remove('e-label-top');
            labelElement.classList.add('e-label-bottom');
        }
    }
    floatFocus(args) {
        args.target.parentElement.classList.add('e-input-focus');
    }
    floatBlur(args) {
        args.target.parentElement.classList.remove('e-input-focus');
    }
}
ReactDOM.render(<Default />, document.getElementById('input-container'));
import * as React from "react";
import * as ReactDOM from "react-dom";

export default class Default extends React.Component {

public valueBtn: HTMLButtonElement;
public removeBtn: HTMLButtonElement;
public inputElement: HTMLInputElement;

public render() {
   return (
    <div className="wrap">
        <div className="row">
            <div className="e-float-input">
                <input className="e-input myField" onFocus= {this.floatFocus} onBlur= {this.floatBlur} ref = { v => this.inputElement = v!} type="text" id="myText" readOnly={true}  />
                <span className="e-float-line" />
                <label className="e-float-text">Enter value</label>
            </div>
        </div>
        <div className="row">
            <button className="e-btn update_value" id="valuebtn" onClick = { this.updateBtnClick} ref = { btn => this.valueBtn = btn! }>Set value</button>
            <button className="e-btn remove_value" id="removebtn" onClick = { this.removeBtnClick} ref = { removeBtn => this.removeBtn = removeBtn!}>Remove value</button>
        </div>
    </div>
);
}

public updateBtnClick = (): void => {
    this.inputElement.value = '10';
    this.checkFloatingLabel('myText')
}

public removeBtnClick = (): void => {
    this.inputElement.value = '';
    this.checkFloatingLabel('myText')
}

public checkFloatingLabel(id: any): void {
    const inputElement: HTMLInputElement =  document.getElementById(id) as HTMLInputElement;
    const labelElement: HTMLInputElement = (inputElement as any).parentElement.querySelector('.e-float-text') as HTMLInputElement;
    if (inputElement.value !== '') {
        labelElement.classList.remove('e-label-bottom');
        labelElement.classList.add('e-label-top');
    } else {
    labelElement.classList.remove('e-label-top');
    labelElement.classList.add('e-label-bottom');
    }
}

public floatFocus(args: any): void {
    args.target.parentElement.classList.add('e-input-focus');
}

public floatBlur(args: any): void {
    args.target.parentElement.classList.remove('e-input-focus');
}
}

ReactDOM.render(<Default />, document.getElementById('input-container'));

Add floating label to read only textbox in Vue Textbox component

11 Jun 202410 minutes to read

You can achieve floating label for read-only textboxes by adding/removing e-label-top and e-label-bottom classes to the label element

In this sample, click the update value button to fill the read-only textbox with value and float a label.

<template>
    <div class='wrap'>
        <div class="row">
            <div class="e-float-input">
                <input class="e-input myField" id="myText" name="readonlyAttr" type="text" readOnly>
                <span class="e-float-line"></span>
                <label class="e-float-text">Enter value</label>
            </div>
            <div class="row">
                <button class="e-btn update_value" id='valuebtn' v-on:click="valuebtnClick">Set value</button>
                <button class="e-btn remove_value" id='removebtn' v-on:click="removebtnClick">Remove value</button>
            </div>
        </div>
    </div>
</template>

<script setup>
import { onMounted } from 'vue';

const valuebtnClick = () => {
    (document.getElementsByClassName('myField')[0]).value = '10';
    checkFloatingLabel('myText')
};
const removebtnClick = () => {
    (document.getElementsByClassName('myField')[0]).value = '';
    checkFloatingLabel('myText')
};
const checkFloatingLabel = (id) => {
    var inputElement = document.getElementById(id);
    var labelElement = inputElement.parentElement.querySelector('.e-float-text');
    if (inputElement.value !== '') {
        labelElement.classList.remove('e-label-bottom');
        labelElement.classList.add('e-label-top');
    } else {
        labelElement.classList.remove('e-label-top');
        labelElement.classList.add('e-label-bottom');
    }
    document.getElementById('myText');
};

onMounted(() => {
    // To get the all input fields and its container.

    let inputElement = document.querySelectorAll('.e-input-group .e-input,.e-float-input.e-input-group input');

    // Add 'e-input-focus' class to the input for achive ripple effect when focus on the input field.

    for (let i = 0; i < inputElement.length; i++) {
        inputElement[i].addEventListener("focus", function () {
            inputElement[i].parentNode.classList.add('e-input-focus');
        });
        inputElement[i].addEventListener("blur", function () {
            inputElement[i].parentNode.classList.remove('e-input-focus');
        });
    }
});
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";

.wrap {
    box-sizing: border-box;
    margin: 0 auto;
    padding: 20px 10px;
    width: 260px;
}

.update_value,
.remove_value {
    margin-top: 20px;
}

.remove_value {
    margin-left: 10px;
}
</style>
<template>
    <div class='wrap'>
        <div class="row">
            <div class="e-float-input">
                <input class="e-input myField" id="myText" name="readonlyAttr" type="text" readOnly>
                <span class="e-float-line"></span>
                <label class="e-float-text">Enter value</label>
            </div>
            <div class="row">
                <button class="e-btn update_value" id='valuebtn' v-on:click="valuebtnClick">Set value</button>
                <button class="e-btn remove_value" id='removebtn' v-on:click="removebtnClick">Remove value</button>
            </div>
        </div>
    </div>
</template>
<script>

export default {
    data: function () {
        return {}
    },
    methods: {
        valuebtnClick: function () {
            (document.getElementsByClassName('myField')[0]).value = '10';
            this.checkFloatingLabel('myText')
        },
        removebtnClick: function () {
            (document.getElementsByClassName('myField')[0]).value = '';
            this.checkFloatingLabel('myText')
        },
        checkFloatingLabel: function (id) {
            var inputElement = document.getElementById(id);
            var labelElement = inputElement.parentElement.querySelector('.e-float-text');
            if (inputElement.value !== '') {
                labelElement.classList.remove('e-label-bottom');
                labelElement.classList.add('e-label-top');
            } else {
                labelElement.classList.remove('e-label-top');
                labelElement.classList.add('e-label-bottom');
            }
            document.getElementById('myText');
        }
    },
    mounted: function () {
        // To get the all input fields and its container.

        let inputElement = document.querySelectorAll('.e-input-group .e-input,.e-float-input.e-input-group input');

        // Add 'e-input-focus' class to the input for achive ripple effect when focus on the input field.

        for (let i = 0; i < inputElement.length; i++) {
            inputElement[i].addEventListener("focus", function () {
                this.parentNode.classList.add('e-input-focus');
            });
            inputElement[i].addEventListener("blur", function () {
                this.parentNode.classList.remove('e-input-focus');
            });
        }
    }
};
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";

.wrap {
    box-sizing: border-box;
    margin: 0 auto;
    padding: 20px 10px;
    width: 260px;
}

.update_value,
.remove_value {
    margin-top: 20px;
}

.remove_value {
    margin-left: 10px;
}
</style>